interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 46070 characters]
        6Xc+ffofpB/ZgUUNAwA=
    headers:
      CF-RAY: [2ce118804e100d73-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['30908']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:25:01 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d4ae8c4c989f707b491aa9f0989fc6fd41470471900; expires=Sun,
          06-Aug-17 08:25:00 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=fVxVs4VBo0fiU%2Bo1mJ8ZMVmQ6VU8pk5a6ioYplcdyk37AFEHaC0g7t1VRQ1VRRGeP3jh3KsUOIE%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&grant_type=refresh_token&refresh_token=**********
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [__cfduid=d4ae8c4c989f707b491aa9f0989fc6fd41470471900]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMywrCMBBFf2XI2oUgCPoHPhAEEXclTa461jZxZlpaxH+X6OrC4Zz7dj4EqFaW
        GnRuTW7s+Li7nBc5yvi8nnzePJvXant67Bs3I/fzKpsyilzDC6TwiIEDKo4FH1KHAjFmFmjF5Xmx
        nM9n5DSkf4vIRndWSzIRR3TGNlE7aV8LYmRTysKDN7RQ9TcoCXwkQU5ipH4AaV+3bGU0CNegIRnc
        5wv4CLx21gAAAA==
    headers:
      CF-RAY: [2ce1188bfe640d73-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:25:02 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAOWepVcC/31V23LbQAj9lY6fO53EcZukP8OgFZIZrXbVvdhxMvn3wlqKVnXSNxtYOBwO6G3H
        EWicrL8Q7X5/69BG+v5td8QII7KtTA5HjdgZPrHlV0zsHUxHfCV42InfBMJErYTcH/Y/9w/3vw53
        P+40F7cEXfAjBN/4FKucUjzmOJFry8PFPKeCnMyS7m7/tKRTaL79F55lN8CAYUQx7vfPmt1BQ0n/
        fyT240gufcQ9HsTYSbEcSHG9yRtJRMAj9gRToBPTOYL1fS94fE4SlELWXIF6jomC0CdIoLP+DImi
        RrztThgYnf6Wmi4Fb2GvJNHLRIELBtaO9w/vBfuJ4IiTEMGuB+fPaxlsI4WTlAk0+ZDEv/r+C5bd
        GkhjQ629gMHQLoFf4bz/DOfhueCkHs0FImEwR83TrSVG37AlOFMDCUNPW6TSBWA2qpna+EphgNZL
        xwlSQDOszpjYDIL4OjEdzuzIUx9QFGW8H7hMbVMjeWGqy05Rzw4f0PUUSP2qdhlX9YzHPgfouZOM
        ToiOG4xCBDpBSKctCsozAJi8ZXNZPZ0PRqaZ0lSFz+w42RoZdYPOUVi9kx9o9K73CiFRmcdmNjE3
        Ar/l9OlsHnU2n7Moim28kAFGQA7FuVVQkU6W/Rf2VrOj8ywj2SGD5njbZjQiFnvDS+lbJtByIFNt
        i4QTOdXdzZMJcyTY1O/LQsQUQWa9CVZk102AllEw1hzj3P+mxQ/uIGRb6yUJh8LP7ZQiJVVv5bhI
        XG7EYwJO9eRQJH3ipDsRTixzPwdOeiYX/6JJepG5VpqcfExQ1rIKlsCr3mAUAhFW6DOkOnFjvRmW
        i/MVHDmkSwEViddDcv+0PpAD3Htb314u17U26J+d/ePQq/o0XLqZOJQvgPhctlbjXONfRMC5SHa5
        1FKQO5ZzVNauSlvymGt7yrQ+uH4LdAGrCvNXQKu8/wUqtT8UrwYAAA==
    headers:
      CF-RAY: [2ce118b8a36e0da3-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['724']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:25:09 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d13248d3702a2161988091e0c7fdb447e1470471909; expires=Sun,
          06-Aug-17 08:25:09 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['594.0']
      x-ratelimit-reset: ['291']
      x-ratelimit-used: ['6']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d13248d3702a2161988091e0c7fdb447e1470471909]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/subreddits/mine/subscriber/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 224400 characters]
        BjWuvv/nP/8LjJwJUl8gCwA=
    headers:
      CF-RAY: [2ce118bc438b0da3-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['150497']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:25:10 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['593.0']
      x-ratelimit-reset: ['291']
      x-ratelimit-used: ['7']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=G5Oh9FbbkbASOJd1TayPpN%2BFLkzhpyfvEwUyPRQYJYjgn6RqII%2BjuPG42U%2B9kZ5FWVYf2RXsppIhyk3k%2B4aOEaVHxrervQT3']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d13248d3702a2161988091e0c7fdb447e1470471909]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 46143 characters]
    headers:
      CF-RAY: [2ce118c733f00da3-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['30941']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:25:12 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['592.0']
      x-ratelimit-reset: ['289']
      x-ratelimit-used: ['8']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=VKeeQwQpYWv%2FWmVzVZQ4BrHaLTc4BvagYuo7CKaC7NJK3flleF%2FoK1jZFtLcyKnC1jTGmLbu1%2Fe5cT2tkiHsSyQk72IrUS7h']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
